// Store database in a global variable, for quick accessibility
var g_LocalRatingsDatabase = {};

{
    const version = Engine.GetEngineInfo().mods.filter(x => x.mod == "public")[0].version;
    const filePath = "config/localratings/cache/" + version + "/ratingsDatabase.json";
    const database = Engine.FileExists(filePath) && Engine.ReadJSONFile(filePath);
    g_LocalRatingsDatabase = (database) ? database : {}
}
