// Main page new instance
var g_LocalRatingsMainPage = new LocalRatingsMainPage;

// Show first run dialog if database is empty, otherwise push to GUI
function init(data)
{
    const cacheHandler = new LocalRatingsCache();
    // Check if the ratings database exists
    const ratingsDatabase = cacheHandler.load("ratingsDatabase");
    const historyDatabase = cacheHandler.load("historyDatabase");
    if (Object.keys(ratingsDatabase).length == 0 || Object.keys(historyDatabase).length == 0)
    {
        cacheHandler.save("ratingsDatabase", {});
        cacheHandler.save("historyDatabase", {});
        cacheHandler.save("scannedReplays", {});
        Engine.GetGUIObjectByName("firstRunDialog").hidden = false;
        return;
    }
    // Not the first the mod is run; then populate table
    g_LocalRatingsMainPage.getColumnsFromRatingDatabase(ratingsDatabase);
    g_LocalRatingsMainPage.populateTable(g_LocalRatingsMainPage.tableColumns);
}
